<span *ngIf="postsq.length==0">No Contacts available!</span>

<div *ngIf="postsq.length!=0">

            <table style="font-family: arial, sans-serif;
            border-collapse: collapse;
            width: 100%;">
                <tr style=" background-color: #dddddd;">
                    <th style="    border: 1px solid #dddddd;
                    text-align: left;
                    padding: 8px;">Name</th>
                    <th style="    border: 1px solid #dddddd;
                    text-align: left;
                    padding: 8px;">Contact</th>
                     <th style="    border: 1px solid #dddddd;
                     text-align: left;
                     padding: 8px;">Status</th>
                
                  <th style="    border: 1px solid #dddddd;
                     text-align: left;
                     padding: 8px;"></th>
                  </tr>
                  <tr *ngFor="let dealer of postsq">
              
                    <td style="    border: 1px solid #dddddd;
                    text-align: left;
                    padding: 8px;">{{dealer.contact_name}}</td>
                    <td style="    border: 1px solid #dddddd;
                    text-align: left;
                    padding: 8px;">{{dealer.contact_number}}</td>
                    <td style="    border: 1px solid #dddddd;
                    text-align: left;
                    padding: 8px;" *ngIf="dealer.exixts == true"><img src="assets/img/icons8-standing-man-filled-50.png"></td>
                     <td style="    border: 1px solid #dddddd;
                     text-align: left;
                     padding: 8px;" *ngIf="dealer.exixts == false"><img src="assets/img/icons8-sleeping-in-bed-filled-50.png"></td>
                     <td style="    border: 1px solid #dddddd;
                     text-align: left;
                     padding: 8px;" *ngIf="dealer.exixts == true">active</td>
                      <td style="    border: 1px solid #dddddd;
                      text-align: left;
                      padding: 8px;" *ngIf="dealer.exixts == false">inactive</td>
                  </tr>
                 
                  
            </table>
    
</div>
<div mat-dialog-actions>
    <button mat-button (click)="onNoClick()" >Ok</button>
    <!-- <button mat-button (click)="ondelete(data)" [mat-dialog-close]="data" cdkFocusInitial>Yes</button> -->
  </div>
